﻿using System;
using System.Linq;
using System.Collections;
using System.Collections.Generic;
using System.Web.UI.WebControls;
using System.ComponentModel;
using System.Data.Linq;
using System.Data.Linq.Mapping;

/// <summary>
/// Summary description for MyCollection
/// </summary>
namespace AZ.Entity
{
    public class Person
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string Surname { get; set; }
    }

    public class PersonCollection
    {
        private static List<Person> persons = new List<Person>()
        {
            new Person { Id=1, Name="Andrea", Surname="Zani" },
            new Person { Id=2, Name="Daniele", Surname="Bochicchio" },
            new Person { Id=3, Name="Cristian", Surname="Civera" },
            new Person { Id=4, Name="Stefano", Surname="Mostarda"},
            new Person { Id=5, Name="Riccardo", Surname="Golia"},
            new Person { Id=6, Name="Marco", Surname="Leoncini"},
            new Person { Id=7, Name="Alessio", Surname="Leoncini"},
            new Person { Id=8, Name="Ugo", Surname="Lattanzi"},
            new Person { Id=9, Name="Marco", Surname="De Sanctis"},
            new Person { Id=10, Name="Matteo", Surname="Casati"}
        };

        public IEnumerable<Person> GetPersons = from person in PersonCollection.persons
                                                select new Person
                                                {
                                                    Id = person.Id,
                                                    Name = person.Name,
                                                    Surname = person.Surname
                                                };

        public IEnumerable GetPersonComplete
        {
            get
            {
                var all = from person in PersonCollection.persons
                          select new
                          {
                              Id = person.Id,
                              NameComplete = person.Name+" "+ person.Surname
                          };
                foreach (var item in all)
                {
                    yield return item;
                }
            }
        }
    }
}